API7 Docs
API7 GatewayAPI7 Enterprise Admin APIsUpdate a token

Update a token

PUT /api/tokens/{token_id}

PUT /api/tokens/{token_id}

Interactive request editor loads with JavaScript.

Authorization

X-API-KEY<token>

In: header

Path Parameters

token_id*string

The unique identifier of the token.

Match^[a-zA-Z0-9-_.]+$
Length1 <= length <= 256

Request Body

application/json

Update a token.

Response Body

application/json

application/json

curl -X PUT "$API_BASE_URL/api/tokens/bd58fce2-b6cc-4d2d-a53c-6ce11b19c101" \  -H "Content-Type: application/json" \  -d '{    "name": "test-token"  }'

Successfully retrieved the access token.

{
  "value": {
    "id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
    "name": "test-token",
    "created_at": 1742288232,
    "updated_at": 1742288235,
    "expires_at": 1752288235,
    "user_id": "b32e678e-7f6b-4a50-b113-550621ed4c01",
    "org_id": "bc1b95c9-b348-4832-acc3-e257d2342df1"
  }
}
Complete operation details and schema variants

PUT /api/tokens/{token_id}

Update a token

Update mutable properties of an API access token, such as expiration and metadata fields.

Parameters

  • token_id (path, string, required): The unique identifier of the token.

Request body

Content type: application/json

  • name (string, required): The token name.

Responses

  • 200: Successfully retrieved the access token.
  • allOf variant 1
  • value (object, optional): The specific resource.
  • allOf variant 2
  • value (object, optional):
  • value.id (string, optional): The token ID.
  • value.name (string, optional): The token name.
  • value.created_at (integer, optional): The time when a token is created.
  • value.updated_at (integer, optional): The time when a token is updated.
  • value.expires_at (integer, optional): The expiration timestamp of the token. 0 means the token will not expire.
  • value.user_id (string, optional): The user ID.
  • value.org_id (string, optional): The organization ID.
  • 400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
  • value (object, optional): The specific resource.
  • error_msg (string, optional): The error message.

cURL

curl -X PUT '$API_BASE_URL/api/tokens/{token_id}'